----------------script_function.lua------------------------

----------------檢測內存卡容量-----------------------
function check_space_ux0() --判断是不是2000自带内存
	local info = os.devinfo("ux0:")
	if info and info.max > 2*1024*1024*1024 then
	 return true
	else
	 return false
	end
end --function

----------------檢測文件存在或文件或文件夹-----------------------
function check_file(pathToFile)
 if files.exists(pathToFile) then
  if not files.list(pathToFile) then
   return 1 --是文件
  else
   return 2 --是文件夹
  end
 end
 return false --不存在
end --function

----------------安装tf卡插件-----------------------
function install_gamesd()
 buttons.homepopup(0) --锁ps键
 
	local skprxGamesdStr = "gamesd.skprx"
 local skprxUsbmcStr = "usbmc.skprx"
 
 local pathToTaiBackup = "ur0:/tai/backup"
 local pathToGamesdUmaDir = files.cdir().."/resources/mcPlugins/tf-uma0"
 local pathToGamesdUxDir = files.cdir().."/resources/mcPlugins/tf-ux0"
 local pathToBackupGamesdUmaDir = pathToTaiBackup.."/tf-uma0"
 local pathToBackupGamesdUxDir = pathToTaiBackup.."/tf-ux0"
 
	local skprxPathStr = "ur0:tai/"..skprxGamesdStr
 local pathToSkprxDir = pathToGamesdUmaDir
	local pathToSkprx = pathToGamesdUmaDir.."/"..skprxGamesdStr
	local pathToBackupSkprxDir = pathToBackupGamesdUmaDir
 --local pathToDeleteSkprx = "ur0:tai/"..skprxUsbmcStr

	--判断选择哪个插件
	if scriptPos == 2 then
  pathToSkprxDir = pathToGamesdUxDir
  pathToSkprx = pathToGamesdUxDir.."/"..skprxGamesdStr
  pathToBackupSkprxDir = pathToBackupGamesdUxDir
 end

 local pathToTaiConfig = ""

 --循环修改ux0、uma0的config.txt文件
 local pathToDriveList = {
  "ux0:",
  "uma0:"
 }
 for i = 1, #pathToDriveList do
  local pathToDrive = pathToDriveList[i]
  pathToTaiConfig = pathToDrive.."/tai/config.txt"
  local checkCon = check_file(pathToTaiConfig)
  if checkCon == 1 then
   if pathToDrive == "ux0:" then
    files.copy(pathToTaiConfig, "ur0:/tai/")
   end
   local pathToTaiConfigBak = pathToTaiConfig..".bak"
   if files.exists(pathToTaiConfigBak) then
    files.delete(pathToTaiConfigBak)
   end
   files.rename(pathToTaiConfig, "config.txt.bak")
   files.mkdir(pathToTaiConfig)
  elseif not checkCon then
   files.mkdir(pathToTaiConfig)
  end
 end
 
 local taiConfigExists = false
 local gamesdBakBl = false

 --修改ur0的config.txt文件
 local pathToDrive = "ur0:"
 pathToTaiConfig = pathToDrive.."/tai/config.txt"
 local checkCon = check_file(pathToTaiConfig)
 if checkCon == 1 then
  taiConfigExists = true
  --备份config.txt
  files.copy(pathToTaiConfig, pathToDrive)
  local pathToTaiConfigBakTmp = pathToDrive.."/config.txt.bak"
  if files.exists(pathToTaiConfigBakTmp) then
   files.delete(pathToTaiConfigBakTmp)
  end
  files.rename(pathToDrive.."/config.txt", "config.txt.bak")
  local pathToTaiConfigBak = pathToTaiConfig..".bak"
  if files.exists(pathToTaiConfigBak) then
   files.delete(pathToTaiConfigBak)
  end
  files.move(pathToTaiConfigBakTmp, pathToDrive.."/tai/")
  --读取文本
  local contenido = {}
	 for linea in io.lines(pathToTaiConfig) do
	  local state1 = string.find(linea, skprxGamesdStr)
		 local state2 = string.find(linea, skprxUsbmcStr)
		 if not state1 and not state2 then
	   table.insert(contenido, linea)
	   local state3 = string.find(linea, "*KERNEL")
    if state3 then
	    table.insert(contenido, skprxPathStr)
	   end
	  end
	 end
  --写入文本
  local taiConfigFile = io.open(pathToTaiConfig, "w+")
 	for i = 1, #contenido do
	  taiConfigFile:write(contenido[i].."\n")
 	end
	 taiConfigFile:close()
  --备份config.txt和插件到ur0:/tai/backup
  if not gamesdBakBl then
   files.copy(pathToSkprxDir, pathToTaiBackup)
   files.copy(pathToTaiConfig, pathToBackupSkprxDir)
   gamesdBakBl = true
  end
	end
	--如果找不到config.txt文件，则返回
 if not taiConfigExists then
  buttons.homepopup(1)
  nobakfile_dial()
  return
 end

 --删除另外的插件
 --files.delete(pathToDeleteSkprx)
 --复制新插件到ur0
 files.copy(pathToSkprx, "ur0:/tai")

 buttons.homepopup(1)
 install_tf_after_dial()

end

----------------卸载卡带槽tf卡插件-----------------------
function uninstall_gamesd()
 buttons.homepopup(0)

 local skprxGamesdStr = "gamesd.skprx"
 local skprxUsbmcStr = "usbmc.skprx"
	local pathToGamesd = "ur0:/tai/"..skprxGamesdStr
 --local pathToUsbmc = "ur0:/tai/"..skprxUsbmcStr

 --循环修改ux0、ur0、uma0的config.txt文件
 local pathToDriveList = {
  "ux0:",
  "ur0:",
  "uma0:"
 }
 for i = 1, #pathToDriveList do
  local pathToDrive = pathToDriveList[i]
  pathToTaiConfig = pathToDrive.."/tai/config.txt"
  local checkCon = check_file(pathToTaiConfig)
  if checkCon == 1 then
   --备份config.txt
   files.copy(pathToTaiConfig, pathToDrive)
   local pathToTaiConfigBakTmp = pathToDrive.."/config.txt.bak"
   if files.exists(pathToTaiConfigBakTmp) then
    files.delete(pathToTaiConfigBakTmp)
   end
   files.rename(pathToDrive.."/config.txt", "config.txt.bak")
   local pathToTaiConfigBak = pathToTaiConfig..".bak"
   if files.exists(pathToTaiConfigBak) then
    files.delete(pathToTaiConfigBak)
   end
   files.move(pathToTaiConfigBakTmp, pathToDrive.."/tai/")
   --读取config.txt文本
   local contenido = {}
	  for linea in io.lines(pathToTaiConfig) do
    local state1 = string.find(linea, skprxGamesdStr)
		  local state2 = string.find(linea, skprxUsbmcStr)
		  if not state1 and not state2 then
	    table.insert(contenido, linea)
	   end
	  end
   --写入config.txt文本
   local taiConfigFile = io.open(pathToTaiConfig, "w+")
  	for i = 1, #contenido do
	   taiConfigFile:write(contenido[i].."\n")
  	end
	  taiConfigFile:close()
 	end
 end
 
 --删除gamesd插件
 files.delete(pathToGamesd)
 --删除usb插件
 --files.delete(pathToUsbmc)

 buttons.homepopup(1)
 uninstall_tf_after_dial()

end











